Summarization
POST /api/v1/ai/summarization
POST
/api/v1/ai/summarization
Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” x-api-key
required
string
Your API key from account settings.
Request Body required
Section titled “Request Body required ”object
accountId
required
Your account ID. See: https://unless.com/en/dashboard/account/settings
string
websiteId
required
The website ID you trained the AI on.
string
prompt
required
The input of the content you’d like summarized.
string
filterPII
Optionally you can filter any detected personal identifiable information. This means the response of this call will also not contain any PII.
boolean
instructionsTemplate
Can be either “EXTRACT_MAIN_QUESTION” or “EXTRACT_MULTIPLE_QUESTIONS”. If not set, we will generate a summary of the prompt.
string
responseLanguage
Use this to force a certain response language. If not set, we will automatically detect the language based on the prompt.
string
Responses
Section titled “ Responses ”Generated summary.
object
statusCode
integer
Example
200 body
The generated summary text.
string
Example
{ "statusCode": 200, "body": "Generated response."}Invalid request parameters.